aboutsummaryrefslogtreecommitdiff
path: root/git-repack.sh
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2006-05-07 16:06:45 -0700
committerJunio C Hamano <junkio@cox.net>2006-05-07 16:06:45 -0700
commit7f498065e9bf85f6f3e954ec57dedf56fec29e01 (patch)
treed5bd668d03aaa23fcfc280c861a77b29a598d758 /git-repack.sh
parent2c4c17fbb9c26cdc411126a2c5365e3fc3a0242a (diff)
parent0438402271cccc1711c603b0a7ba3134f1ce30f1 (diff)
downloadgit-7f498065e9bf85f6f3e954ec57dedf56fec29e01.tar.xz
Merge branch 'mw/alternates' into next
* mw/alternates: clone: don't clone the info/alternates file test case for transitive info/alternates Transitively read alternatives repack: honor -d even when no new pack was created clone: keep --reference even with -l -s repo-config: document what value_regexp does a bit more clearly. Release config lock if the regex is invalid core-tutorial.txt: escape asterisk Sparse fix for builtin-diff Fix users of prefix_path() to free() only when necessary
Diffstat (limited to 'git-repack.sh')
-rwxr-xr-xgit-repack.sh14
1 files changed, 7 insertions, 7 deletions
diff --git a/git-repack.sh b/git-repack.sh
index e0c9f323c3..4fb3f26e83 100755
--- a/git-repack.sh
+++ b/git-repack.sh
@@ -48,15 +48,15 @@ name=$(git-rev-list --objects --all $rev_list 2>&1 |
exit 1
if [ -z "$name" ]; then
echo Nothing new to pack.
- exit 0
-fi
-echo "Pack pack-$name created."
+else
+ echo "Pack pack-$name created."
-mkdir -p "$PACKDIR" || exit
+ mkdir -p "$PACKDIR" || exit
-mv .tmp-pack-$name.pack "$PACKDIR/pack-$name.pack" &&
-mv .tmp-pack-$name.idx "$PACKDIR/pack-$name.idx" ||
-exit
+ mv .tmp-pack-$name.pack "$PACKDIR/pack-$name.pack" &&
+ mv .tmp-pack-$name.idx "$PACKDIR/pack-$name.idx" ||
+ exit
+fi
if test "$remove_redundant" = t
then